package crawlerinputitemmapping

import (
	"git.loafle.net/overflow/commons_go/model/timestamp"
	"encoding/json"
	"git.loafle.net/overflow/overflow_proxy_service/proxy/crawler"
	"git.loafle.net/overflow/overflow_proxy_service/proxy/crawlerInputItem"
	"git.loafle.net/overflow/overflow_proxy_service/proxy/utils"
)

type CrawlerInputItemMapping struct {
	Id	json.Number	`json:"id,Number,omitempty"`
	Crawler	crawler.Crawler		`json:"crawler,omitempty"`
	CrawlerInputItem	crawlerInputItem.CrawlerInputItem		`json:"crawlerInputItem,omitempty"`

	Priority	json.Number		`json:"priority,Number,omitempty"`
	RequiredType bool	`json:"requiredType,omitempty"`
	CreateDate timestamp.Timestamp	`json:"createDate,omitempty"`
}


type CrawlerInputItemMappingService struct {

}

func NewCrawlerInputItemMappingService() *CrawlerInputItemMappingService {
	return &CrawlerInputItemMappingService{}
}

func (c *CrawlerInputItemMappingService)Create(ciim *CrawlerInputItemMapping) (string, error) {

	out, err := utils.InvokeDB("crawlerInputItemMapping", "create", ciim)

	if err != nil {
		return "", err
	}


	return out, nil;

}

func (c *CrawlerInputItemMappingService)List(cr *crawler.Crawler) (string, error) {


	out, err := utils.InvokeDBByModel("crawlerInputItemMapping", "findByCrawlerId", cr, "com.loafle.overflow.crawler.model.Crawler")

	if err != nil {
		return "", err
	}


	return out, nil;

}